#include <amxmodx>
#include <easy_http>
#include <effex_match>

#define PLUGIN "Server Info"
#define VERSION "1.0"
#define AUTHOR "EFFEX"

new const g_szWebsite[] = "http://www.yourwebsite.com"

new g_iMaxPlayers

new g_szMapName[32]
new g_szServerIP[35]

public plugin_init() 
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	get_mapname(g_szMapName, charsmax(g_szMapName))
	get_user_ip(0, g_szServerIP, charsmax(g_szServerIP), false)
	
	g_iMaxPlayers = get_maxplayers()
	
	set_task(60.0, "updateServer", .flags = "b")
}

public updateServer()
{
	new szServerName[55]
	get_cvar_string("hostname", szServerName, charsmax(szServerName))
	
	new szModifiedURL[192]
	formatex
	(
		szModifiedURL, 
		charsmax(szModifiedURL),
		"%s?map=%s&server=%s&ip=%s&players=%d&max=%d", 
		g_szWebsite,
		g_szMapName,
		szServerName,
		g_szServerIP,
		getPlayersNum(),
		g_iMaxPlayers
	)
	
	replace_all(szModifiedURL, charsmax(szModifiedURL), " ", "-")
	
	new EzHttpOptions:iOpt = ezhttp_create_options()
	ezhttp_get
	(
		szModifiedURL,
		"HTTP_UpdateServer", 
		iOpt
	)
}

public HTTP_UpdateServer(EzHttpRequest:request_id)
{
	if(ezhttp_get_error_code(request_id))
		return
	
	log_to_file("serverUpdate.log", "[Server Update]: Server informations successfully updated.")
}

public getPlayersNum()
{
	new iPlayers[32], iNum
	get_players(iPlayers, iNum, "ch")
	return iNum
}
